varying vec3 viewVec, lightVec, Normal;
varying float dist;
attribute vec3 tangent; //todo: GLcolorarray lookup;
void main()
{
	gl_Position = ftransform();
	gl_TexCoord[0] = gl_MultiTexCoord0;
	
	Normal = normalize(gl_NormalMatrix * gl_Normal);
	vec3 ecPos = vec3(gl_ModelViewMatrix * gl_Vertex);
	
	vec3 t = gl_NormalMatrix * tangent;
	vec3 n = Normal;
	vec3 b = cross(n, t);
	
	vec3 temp = gl_LightSource[0].position.xyz - ecPos;
	dist = length(temp);
	
	lightVec.x = dot(temp, t);
	lightVec.y = dot(temp, b);
	lightVec.z = dot(temp, n);
	temp = -ecPos;

	viewVec = temp;
} 