varying vec3 lightVec, viewVec, normal;
varying float dist;
//attribute vec3 tangent; //todo: GLcolorarray lookup;
void main()
{
	normal = normalize(gl_NormalMatrix * gl_Normal);
	
	/*vec4 ecPos;
	vec3 aux;
	
	ecPos = gl_ModelViewMatrix * gl_Vertex;
	aux = vec3(gl_LightSource[0].position-ecPos);
	lightVec = normalize(aux);
	viewVec = normalize(-ecPos.xyz);
	dist = length(aux);*/
	
	vec3 t = gl_NormalMatrix * vec3(gl_Color);
	vec3 n = normal;
	vec3 b = cross(n, t);
	
	vec3 ecPos = vec3(gl_ModelViewMatrix * gl_Vertex);
	vec3 temp = gl_LightSource[0].position.xyz - ecPos;
	dist = length(temp);
		
	lightVec.x = dot(temp, t);
	lightVec.y = dot(temp, b);
	lightVec.z = dot(temp, n);
	temp = -ecPos;

	viewVec.x = dot(temp, t);
	viewVec.y = dot(temp, b);
	viewVec.z = dot(temp, n);

	gl_Position = ftransform();
	gl_TexCoord[0] = gl_MultiTexCoord0;
} 
