varying vec3 normal, lightVec, viewVec;

void main()
{
	vec4 lightPos = gl_LightSource[0].position;
	vec4 vert = gl_ModelViewMatrix * gl_Vertex;

	normal   = gl_NormalMatrix * gl_Normal;
	lightVec = vec3(lightPos - vert);
	viewVec  = -vec3(vert);
	gl_Position = ftransform();
} 